Package org.codehaus.janino

# Class Java.TypeParameter

java.lang.Object
org.codehaus.janino.Java.TypeParameter

Enclosing class:
  `Java`

public static class Java.TypeParameter extends Object
Representation of a type parameter (which declares a type variable).

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.ReferenceType[]`
`bound`
The optional bound of the type parameter.
`final String`
`name`
The name of the type variable.

## Constructor Summary

Constructors
Constructor
Description
`TypeParameter(String name, Java.ReferenceType[] bound)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name
The name of the type variable.

### bound

@Nullable public final Java.ReferenceType[] bound
The optional bound of the type parameter.

## Constructor Details

### TypeParameter

public TypeParameter(String name, @Nullable Java.ReferenceType[] bound)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`